Skip to main content
PUT
/
finance
/
tax-rates
/
{taxType}
Update Tax Rate
curl --request PUT \
  --url https://api.sandbox.flowpayroll.ai/v1/billing/finance/tax-rates/{taxType} \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "taxType": "<string>",
  "name": "<string>",
  "effectiveRate": 123,
  "displayTaxRate": 123,
  "canApplyToRevenue": true,
  "canApplyToExpenses": true,
  "organisationId": "<string>",
  "isInUse": true,
  "providerId": "<string>",
  "externalProvider": "<string>",
  "lastSyncedAt": "<string>",
  "syncErrorMessage": "<string>",
  "createdDate": "<string>",
  "createdBy": "<string>",
  "updatedDate": "<string>",
  "updatedBy": "<string>"
}
'
{
  "content": {
    "data": {
      "taxType": "<string>",
      "name": "<string>",
      "effectiveRate": 123,
      "displayTaxRate": 123,
      "canApplyToRevenue": true,
      "canApplyToExpenses": true,
      "organisationId": "<string>",
      "isInUse": true,
      "providerId": "<string>",
      "externalProvider": "<string>",
      "lastSyncedAt": "<string>",
      "syncErrorMessage": "<string>",
      "createdDate": "<string>",
      "createdBy": "<string>",
      "updatedDate": "<string>",
      "updatedBy": "<string>"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

taxType
string
required

Body

application/json
taxType
string
name
string
effectiveRate
number<double>
displayTaxRate
number<double>
status
enum<string>
Available options:
Active,
Archived
canApplyToRevenue
boolean
canApplyToExpenses
boolean
organisationId
string
isInUse
boolean
providerId
string | null
externalProvider
string | null
syncStatus
enum<string> | null
Available options:
NotSynced,
Synced,
SyncFailed,
Pending
lastSyncedAt
string | null
syncErrorMessage
string | null
createdDate
string | null
createdBy
string | null
updatedDate
string | null
updatedBy
string | null

Response

OK

content
object
metadata
object
errors
object[] | null
message
object